<div class="profile-group account-info-group" ...attributes>
  <p>{{t "account-info-message"}}</p>

  <div class="mb-3">
    <label for="InputJoinedTime">{{capitalize (t "joined time")}}</label>

    <Input::Date @allowUnset={{true}} @value={{this.joinedTime}} @onChange={{this.changeJoinedTime}}/>
  </div>

  <div class="mb-3">
    <label for="InputEmail">{{capitalize (t "email")}}</label>
    <Input
        class="form-control input-user-email"
        id="InputEmail"
        @type="email"
        @value={{this.email}}
        placeholder={{t "Where do you want to be contacted?"}}
      />
  </div>

  <div class="mb-3">
    <label for="InputUserName">{{capitalize (t "user name")}}</label>
    <Input
        class="form-control input-user-name"
        id="InputUserName"
        @value={{this.userName}}
        placeholder={{t "What's user name?"}}
      />
  </div>

  <Input::Button class="btn btn-primary btn-account-update" @action={{this.update}} @disabled={{not this.hasUpdate}}>
    {{capitalize (t "update")}}
  </Input::Button>

</div>
